%global gem_name minitar

Name:          rubygem-%{gem_name}
Version:       0.9
Release:       %autorelease
Summary:       Provides the ability to deal with POSIX tar(1) archive files
License:       Ruby and BSD-2-Clause
URL:           https://github.com/halostatue/minitar/
Source0:       https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8
BuildRequires: rubygem(minitest)
BuildArch:     noarch

%description
The minitar library is a pure-Ruby library that provides the ability to deal
with POSIX tar(1) archive files.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd test
ruby -I../lib -I. -e 'Dir.glob "test*.rb", &method(:require)'
pushd 

%files
%dir %{gem_instdir}
%{gem_instdir}/Code-of-Conduct.md
%license %{gem_instdir}/Licence.md
%license %{gem_instdir}/docs/ruby.txt
%license %{gem_instdir}/docs/bsdl.txt
%{gem_instdir}/Manifest.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Contributing.md
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile

%exclude %{gem_instdir}/test

%changelog
%autochangelog
